monitorix(8)

NAME
monitorix - a lightweight system monitoring tool

SYNOPSIS
monitorix -c configfile [-p pidfile] [-d none | graph[,graph] | all] [-v] [-n]

DESCRIPTION
This Perl daemon starts the main Monitorix process, which gathers statistics about the system it is running on and stores this information in a set of RRD files.

OPTIONS

-c configfile
    The default location of the main configuration file varies depending on the operating system:

    Linux: /etc/monitorix/monitorix.conf
    FreeBSD: /usr/local/etc/monitorix.conf

    Extra configuration files can be placed in /etc/monitorix/conf.d, they will be loaded right after the main configuration file (overriding previous options).

-p pidfile
    Stores the daemon's process ID into the specified file.

-d none | graph[,graph] | all
    Logs more information about what monitorix is doing internally. The keys reflect if the data collected must be displayed on each case. If all is defined, the data collected of all enabled graphs will be shown. If none is defined no data collected will be shown. Finally it is also possible to define a comma-separated list of graph names from which show their data collected.
    For a reference of all graph names check the option graph_name in the monitorix.conf configuration file.

-v  Displays version information.

-n  This argument will prevent Monitorix from daemonizing, and hence, forcing it to run in foreground. This is specially useful for debugging purposes.

-u  This option will force Monitorix to run under the regular user who started it. It's necessary to make sure that this user will have write permissions to the directory and files pointed by the options base_dir, base_lib and log_file (either for monitorix and for the HTTP built-in server). Also, you must know that some graphs might not work because only the 'root' user is capable to get such statistics. Check the log files after starting Monitorix in this mode.

SIGNALS
On receipt of a SIGHUP, monitorix will close and reopen its log file (provided that it has a filename defined). This is useful in scripts which rotate and age log files.

Note that the configuration file is not re-read.

FILES
The following set of the files are created on every startup:

<base_dir>/cgi/monitorix.conf.path
    Stores the path of configfile.

<base_dir>/cgi/monitorix.hplog
    Stores the output of hplog command.

<base_dir>/index.html
    HTML main page.

AUTHOR
Monitorix is written by Jordi Sanfeliu <jordi@fibranet.cat>

COPYRIGHT
Copyright © 2005-2021 Jordi Sanfeliu
Licensed under the GNU General Public License version 2 (GPLv2).

SEE ALSO
monitorix.conf(5)